#### FKM5

#### Synopsis

    HELP:   Which FKM5 (crypto engine) should be used
    TYPE:   OBJECT
    SYNTAX: FKM5(LIBRARY='str',FUNCTION='str',PARAMETER='str')

#### Description

The FKM5 object is used to choose the cryptographic infrastructure (with the corresponding method) used for encryption and/or signing. You can set the filename of the library (libfkm5) which implements the different FKM5 functions. On mainframe systems, the library name can be an empty string to fetch load modules from the STEPLIB concatenation.

With FKM5 functions, you choose an entry in the library or a load module which implements certain cryptographic procedures (e.g. for OpenPGP) against a dedicated cryptographic infrastructure (e.g. CCA or PKCS#11).

To initialize these infrastructures, you must provide FKM5-specific parameters. Please refer to the corresponding FKM5 documentation to find out how these strings are to be specified.

For a permanent cryptographic infrastructure, it is useful to keep these parameters in property files.

#### Arguments

- `STRING: LIBRARY='str' - FKM5 library (DLL/SO) ['libfkm5']`
- `STRING: FUNCTION='str' - FKM5 entry function (or load module) [AUTO]`
- `STRING: PARAMETER='str' - FKM5 parameter ['']`